import os

from setuptools import find_packages, setup
from distutils.command.register import register as register_orig
from distutils.command.upload import upload as upload_orig


class CmdRegister(register_orig):

    def _get_rc_file(self):
        return os.path.join('.', '.pypirc')


class CmdUpload(upload_orig):

    def _get_rc_file(self):
        return os.path.join('.', '.pypirc')


setup(
    name='database-handler-orm',
    version='0.2.6',
    description='Database ORM internal module',
    packages=find_packages(),
    install_requires=['sqlalchemy', 'psycopg2', 'pg8000', 'alembic'],
    cmdclass={
        'register': CmdRegister,
        'upload': CmdUpload,
    }
)
